Bug 10929 - fund amounts sort incorrectly in table on Administration -> Budgets -> Funds page
Summary: fund amounts sort incorrectly in table on Administration -> Budgets -> Funds ...
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-21 19:42 UTC by Galen Charlton
Modified: 2015-06-04 23:24 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2013-09-21 19:42:30 UTC
Similar to bug 10792, the fund amounts (total allocated, base-level allocated, base-level spent, total sublevels spent, and base-level remaining) in the table on the admin/aqbudgets.pl page sort alphabetically, not numerically.
Comment 1 Galen Charlton 2013-09-21 21:22:32 UTC
A rough WIP set of patches can be found at the tip of

http://git.librarypolice.com/?p=koha-galen.git;a=shortlog;h=refs/heads/format_currency

The general idea is to (a) consolidate code that formats currency amounts and (b) have the actual formatting be invoked by a Template Toolkit filter in all cases except (for the moment) the PDF order basket generator.

This approach can trivially be extended to allow monetary amounts to be displayed consistently in circulation as well.

Comments welcome.
Comment 2 Jonathan Druart 2014-09-24 14:52:35 UTC
This is invalid since bug 11578 has been pushed (the columns are not sortable anymore).